> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk.md).

# 客户端 SDK

这是 App in Toss Web Mini App 使用的公开 API 表面。目录结构就是本参考文档的目录，所有导出的 API 都会在同一层级的 REFERENCE.md 中进行文档化。

### 结构

| 领域                                                           | 说明                                                        |
| ------------------------------------------------------------ | --------------------------------------------------------- |
| [domains/](/documentation/api-and-sdk-zh/sdk/domains-api.md) | `领域.动作` 19种接口 + 各成员的函数式（flat）API                          |
| [events/](/documentation/api-and-sdk-zh/sdk/shi-jian.md)     | 原生事件订阅总线（`graniteEvent` · `tdsEvent` · `appsInTossEvent`) |

### 使用方式

```js
// 领域接口
import { Device } from "@apps-in-toss/web-framework";
await Device.openCamera();

// 函数式（flat）API — 与 v2 相同
import { openCamera } from "@apps-in-toss/web-framework";
await openCamera();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
